phpbb 3.2.6 migration to XF

JoeB

Member
Hi,
We've had a site running phpbb for over 15 years and had an opportunity to migrate to vBulletin just before the sale and subsequent XF launch.

We held off, and still have that vb license, but that ship has long sailed and impex is a complete PITA.

So while this may sound silly, we've been wanting to migrate for about 6-7 years and now it just 'has to happen' rather than this endless regurgitation of waiting for patches etc.

So the question is how seamless is the DB conversion from phpbb 3.2.6 to XF? I'm guessing noone's tried, or the flavour is still not vanilla enough for anyone to consider it stable, but migration from phpbb is a serious PITA as I have discovered in the past.

It would be advantageous if someone who has had experience and can be truthful about the conversion issues (details) rather than a presales brochure laden with "might" or "probably"

If I can get straight facts, it makes a license purchase much more straightforward.

I'd like to bury phpbb for good - but the replacement needs to be stable and conversion needs to be clean and without endless manual table editing.

TIA -
 

sbj

Well-known member
It would be advantageous if someone who has had experience and can be truthful about the conversion issues (details) rather than a presales brochure laden with "might" or "probably"
Well, placing this sentence will lead to no replies at all, because most of the users here don't come from phpbb and have no experience. Just like me. And the ones who does, who knows when they will see your thread and reply to you, if at all.
So the only answers you would get would be the official ones. And those ones you don't want to hear?


So the question is how seamless is the DB conversion from phpbb 3.2.6 to XF? I'm guessing noone's tried, or the flavour is still not vanilla enough for anyone to consider it stable, but migration from phpbb is a serious PITA as I have discovered in the past.
If you search for phpbb, you will find a lot of threads.


There is an importer for XF 1.5. You first import to XF1.5, and then you upgrade your XF to XF 2.0 and then XF2.1

If I can get straight facts, it makes a license purchase much more straightforward.
I am not an official but I have seen in the past that for special cases they can refund your money, if you are unsatisfied. Use the "contact us" and try your chance. And if that doesn't happen, anyone is allowed to sell their license (one license can be sold only once though).

I would advise you to purchase a license, make a test import on your localhost and see if you are satisfied with the situation.

I also can advise you to hire people, if you feel uncomfortable with the import. You should lose 0% of your data in any way.


Good luck
 

CarpCharacin

Well-known member
I think you'd need to install XenForo 1.5, run the importer, then upgrade to XF 2.1. XenForo 1.5 has an importer for phpbb 3.2 that is stable, and that has been tested.
 

sbj

Well-known member
You can upgrade from 1.5 straight to 2.1.
Yeah, true. I was just thinking of before going with reactions and what not, he should maybe check his tables before going 2.1.
I imagine when there is a faulty import, it is much easier to find out on which stept the problem happened, if you upgrade in smaller steps. But of course if all goes well, then the import to 2.0 would have been unnecassary.
 
Top